/**
 * ActMoodDefinition2.java
 *
 * File generated from the medication2::ActMoodDefinition2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActMoodDefinition2.
 *
 */

@XmlType(name = "ActMoodDefinition")
@XmlEnum
@XmlRootElement(name = "ActMoodDefinition2")
public enum ActMoodDefinition2 {
	@XmlEnumValue("DEF")
	DEF("DEF");
	
	private final String value;

    ActMoodDefinition2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActMoodDefinition2 fromValue(String v) {
        for (ActMoodDefinition2 c: ActMoodDefinition2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
